<?php

class EditUserResource extends AdminAdapter
{
	public function post($request)
	{
		// to Receive POST Params (use $this->params)
 		parent::post($request);

		if( $this->isLoggedIn() )
		{
			// Permission
			$permission = array();
			$permission['action'] = 'edit_users';
			$permission['apps'] = $this->getUserApps();

			//Load Conf Admin
			$this->loadConfAdmin();

			if( $this->validatePermission($permission) ) 	
			{	
				$uidUser = $this->getParam('account_uidnumber_edit');

				// Validate fields
				if( trim($uidUser) == "" && isset($uidUser) )
					Errors::runException( "ADMIN_UIDNUMBER_EMPTY" );

				// Get User
				$fields = $this->editUser($uidUser);

				if( $fields != false )
				{	
					// Return fields
					$return = array();
					$return['accountUidnumber']		= $fields['uidnumber'];
					$return['accountLogin']			= $fields['uid'];
					$return['accountEmail']			= $fields['mail'];
					$return['accountName']			= $fields['givenname']." ".$fields['sn'];
					$return['accountPhone']			= $fields['telephonenumber'];	
					$return['accountCpf']			= $fields['corporative_information_cpf'];
					$return['accountRg']			= $fields['corporative_information_rg'];
					$return['accountRgUf']			= $fields['corporative_information_rguf'];
					$return['accountDescription']	= $fields['corporative_information_description'];
					
					$this->setResult( array( "result" => $return ));
				}
				else
					Errors::runException( "ADMIN_USER_NOT_FOUND" );
			}
			else
			{
				Errors::runException( "ACCESS_NOT_PERMITTED" );
			}			
		}
		
		return $this->getResponse();
	}
}

?>